function updateAnims(turret, tint)
	
local baseTurret = data.raw["ammo-turret"]["gun-turret"]
turret.folded_animation = table.deepcopy(baseTurret.folded_animation)
turret.preparing_animation = table.deepcopy(baseTurret.preparing_animation)
turret.prepared_animation = table.deepcopy(baseTurret.prepared_animation)
turret.attacking_animation = table.deepcopy(baseTurret.attacking_animation)
turret.folding_animation = table.deepcopy(baseTurret.folding_animation)
turret.base_picture = table.deepcopy(baseTurret.base_picture)

turret.folded_animation.layers[2].apply_runtime_tint = false
turret.folded_animation.layers[2].tint = tint
turret.preparing_animation.layers[2].apply_runtime_tint = false
turret.preparing_animation.layers[2].tint = tint
turret.prepared_animation.layers[2].apply_runtime_tint = false
turret.prepared_animation.layers[2].tint = tint
turret.attacking_animation.layers[2].apply_runtime_tint = false
turret.attacking_animation.layers[2].tint = tint
turret.folding_animation.layers[2].apply_runtime_tint = false
turret.folding_animation.layers[2].tint = tint
turret.base_picture.layers[2].apply_runtime_tint = false
turret.base_picture.layers[2].tint = tint

turret.attack_parameters.projectile_creation_distance = baseTurret.attack_parameters.projectile_creation_distance
turret.attack_parameters.projectile_center = baseTurret.attack_parameters.projectile_center

end
if data.raw["ammo-turret"]["NE-gun-turret"] then
	updateAnims(data.raw["ammo-turret"]["NE-gun-turret"], data.raw["ammo-turret"]["NE-gun-turret"].base_picture.layers[1].tint)
end
if data.raw["ammo-turret"]["NE-rocket-turret"] then
	updateAnims(data.raw["ammo-turret"]["NE-rocket-turret"], data.raw["ammo-turret"]["NE-rocket-turret"].base_picture.layers[1].tint)
end

for _, turret in pairs(data.raw["electric-turret"]) do
	if turret.energy_source then
		turret.energy_source.drain = "0W"
	end
end

for _, inserter in pairs(data.raw.inserter) do
	if inserter.energy_source then
		inserter.energy_source.drain = "0W"
	end
end